DEP8 test "testNMConnected" failed: AssertionError: False is not true

Bug #1047224 reported by Jean-Baptiste Lallement on 2012-09-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
network-manager (Ubuntu)
Medium
Mathieu Trudel-Lapierre

Bug Description

DEP8 automated test [1] failed with:

======================================================================
FAIL: testNMConnected (__main__.TestNM)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/tmp.g9kS5Qea3H/dsc0-build/network-manager-0.9.6.0/debian/tests/nm", line 73, in testNMConnected
    or state == NetworkManager.State.CONNECTING)
AssertionError: False is not true

----------------------------------------------------------------------

On a side note it'd be nice to add a message for the assertion.

[1] https://jenkins.qa.ubuntu.com/job/quantal-adt-network-manager/lastFailedBuild/ARCH=amd64,label=albali/

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: network-manager 0.9.6.0-0ubuntu5
ProcVersionSignature: Ubuntu 3.5.0-13.14-generic 3.5.3
Uname: Linux 3.5.0-13-generic x86_64
ApportVersion: 2.5.1-0ubuntu7
Architecture: amd64
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Date: Fri Sep 7 10:20:47 2012
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
RfKill:

SourcePackage: network-manager
UpgradeStatus: Upgraded to quantal on 2012-01-31 (219 days ago)
ftp_proxy: http://192.168.1.4:3128/
http_proxy: http://192.168.1.4:3128/
nmcli-con:
 NAME UUID TYPE TIMESTAMP TIMESTAMP-REAL AUTOCONNECT READONLY DBUS-PATH
 Auto eth0 e39e0172-192d-4097-b122-57d6e2275fda 802-3-ethernet 1330075140 Fri 24 Feb 2012 10:19:00 AM CET yes no /org/freedesktop/NetworkManager/Settings/1
 QA Lab 84e81c7f-a21b-4ca3-af6e-1aaeea33c134 vpn 0 never no no /org/freedesktop/NetworkManager/Settings/0
nmcli-dev:
 DEVICE TYPE STATE DBUS-PATH
 eth0 802-3-ethernet unmanaged /org/freedesktop/NetworkManager/Devices/0
nmcli-nm:
 RUNNING VERSION STATE NET-ENABLED WIFI-HARDWARE WIFI WWAN-HARDWARE WWAN
 running 0.9.6.0 connected enabled enabled enabled enabled disabled
no_proxy: localhost,127.0.0.0/8

Jean-Baptiste Lallement (jibel) wrote :
description: updated
Changed in network-manager (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager - 0.9.6.0-0ubuntu6

---------------
network-manager (0.9.6.0-0ubuntu6) quantal; urgency=low

  * debian/patches/adhoc_use_wpa_rsn_part1.patch,
    debian/patches/adhoc_use_wpa_rsn_part2.patch: Re-enable WPA for Adhoc; but
    use WPA2/RSN for encryption rather than WPA-None, which is clearly broken.
    (LP: #1046918)
  * debian/tests/nm: drop the test testNMConnected; in a build environment it
    tends to be racy; sometimes NM isn't quite ready to transition to the
    CONNECTING or CONNECTED states, we don't want to hold things up because of
    it. (LP: #1047224)
  * debian/tests/dnsmasq: update the test to correctly point to the new DBus
    address for NetworkManager's dnsmasq instance. (LP: #1047221)
 -- Mathieu Trudel-Lapierre <email address hidden> Fri, 07 Sep 2012 15:48:24 -0400

Changed in network-manager (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers